List pipelines

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines

Returns all pipelines from the specified project. Pipelines hidden using visibility settings are not included

Request

REQUIRED SCOPES
EXECUTION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

GET PARAMETERS
pageinteger
The number of the successive pages (results are split into pages of per_page elements each).

Example: 1

per_pageinteger
Specifies the number of returned elements on the page. The default value is 20.

Example: 20

sort_bystring
Specifies the column to sort results by. Can be one of name or id

Example: "name"

sort_directionstring
Specifies the direction of the ordering. Can be one of ASC or DESC

Example: "ASC"

Response

RESPONSE BODY
Choose one of the following options
PipelinesView
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
pipelinesShortPipelineView[]
PipelinesYamlView
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
yamlstring
Base64 encoded string containing pipelines exported to YAML format

Last modified on Feb 18, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"

Response examples

List of pipelines (JSON format)
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines", "pipelines": [ { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/123", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/123", "id": 123, "identifier": "deploy-production", "name": "Deploy to production", "definition_source": "LOCAL", "git_config_ref": "NONE", "refs": [ "refs/heads/main" ], "events": [ { "type": "WEBHOOK" } ], "priority": "NORMAL", "disabled": false, "last_execution_status": "INITIAL", "always_from_scratch": false, "ignore_fail_on_project_status": false, "strict_context": false, "no_skip_to_most_recent": false, "terminate_stale_runs": false, "auto_clear_cache": false, "fetch_all_refs": false, "fail_on_prepare_env_warning": true, "concurrent_pipeline_runs": false, "do_not_create_commit_status": false, "stale": false, "waiting_for_push": false, "resources": "DEFAULT", "git_changeset_base": "LATEST_RUN", "filesystem_changeset_base": "DATE_MODIFIED", "cpu": "X64", "description_required": false } ] }
STATUS
200 OK
Pipelines exported as YAML
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines", "yaml": "LSBwaXBlbGluZTogZGVwbG95LXByb2R1Y3Rpb24KICByZWZzOgogIC0gcmVmcy9oZWFkcy9tYWluCiAgcHJpb3JpdHk6IEhJR0gKICBmYWlsX29uX3ByZXBhcmVfZW52X3dhcm5pbmc6IHRydWUKICBhY3Rpb25zOgogIC0gYWN0aW9uOiBEZXBsb3kgdG8gcHJvZHVjdGlvbgogICAgdHlwZTogQlVJTEQKICAgIGRvY2tlcl9pbWFnZV9uYW1lOiBidWRkeS9sb2NhbHNoZWxsCiAgICBkb2NrZXJfaW1hZ2VfdGFnOiB1YnVudHVfMjQuMDQKICAgIGV4ZWN1dGVfY29tbWFuZHM6CiAgICAtIGVjaG8gIkRlcGxveWluZy4uLiIKICAgIHNoZWxsOiBCQVNICi0gcGlwZWxpbmU6IHRlc3Qtc3VpdGUKICByZWZzOgogIC0gcmVmcy9oZWFkcy9tYXN0ZXIKICBldmVudHM6CiAgLSB0eXBlOiBXRUJIT09LCiAgZmFpbF9vbl9wcmVwYXJlX2Vudl93YXJuaW5nOiB0cnVlCiAgcmVzb3VyY2VzOiBTTUFMTAogIGFjdGlvbnM6CiAgLSBhY3Rpb246IFJ1b" }
STATUS
200 OK